## WebKitNetworkRequest

WebKitNetworkRequest — The target of a navigation request

## Functions

WebKitNetworkRequest * | webkit_network_request_new ()
const gchar * | webkit_network_request_get_uri ()
SoupMessage * | webkit_network_request_get_message ()
void | webkit_network_request_set_uri ()

## Properties

SoupMessage * | message | Read / Write / Construct Only
gchar * | uri | Read / Write

## Types and Values

| WebKitNetworkRequest

## Object Hierarchy

        GObject
        ╰── WebKitNetworkRequest

## Description

This class represents the network related aspects of a navigation request. It is used whenever WebKit wants to provide information about a request that will be sent, or has been sent. Inside it you can find the URI of the request, and, for valid URIs, a SoupMessage object, which provides access to further information such as headers.

## Functions

### webkit_network_request_new ()

    WebKitNetworkRequest *
    webkit_network_request_new (const gchar *uri);

Creates a new WebKitNetworkRequest initialized with an URI.

#### Parameters

uri | an URI |

#### Returns

a new WebKitNetworkRequest, or `NULL` if the URI is invalid.

### webkit_network_request_get_uri ()

    const gchar *
    webkit_network_request_get_uri (WebKitNetworkRequest *request);

#### Parameters

request | a WebKitNetworkRequest |

#### Returns

the URI of the WebKitNetworkRequest

Since: 1.0.0

### webkit_network_request_get_message ()

    SoupMessage *
    webkit_network_request_get_message (WebKitNetworkRequest *request);

Obtains the SoupMessage held and used by the given request. Notice that modification of the SoupMessage of a request by signal handlers is only supported (as in, will only affect what is actually sent to the server) where explicitly documented.

#### Parameters

request | a WebKitNetworkRequest |

#### Returns

the SoupMessage.

[transfer none]

Since: 1.1.9

### webkit_network_request_set_uri ()

    void
    webkit_network_request_set_uri (WebKitNetworkRequest *request,
                                    const gchar *uri);

Sets the URI held and used by the given request. When the request has an associated SoupMessage, its URI will also be set by this call.

#### Parameters

request | a WebKitNetworkRequest |
uri | an URI |

## Types and Values

### WebKitNetworkRequest

    typedef struct _WebKitNetworkRequest WebKitNetworkRequest;

## Property Details

### The `“message”` property

      “message”                  SoupMessage *

The SoupMessage that backs the request.

Flags: Read / Write / Construct Only

Since: 1.1.10

### The `“uri”` property

      “uri”                      gchar *

The URI to which the request will be made.

Flags: Read / Write

Default value: NULL

Since: 1.1.10

## See Also

“navigation-policy-decision-requested”